Google Web Toolkit
Search Google Code:

# Interface EventPreview

public interface EventPreview
// Implemented by `PopupPanel`
A listener interface for previewing browser events.

## Methods

onEventPreview(Event) | Called when a browser event occurs and this event preview is on top of the preview stack.

## See Also

DOM.addEventPreview(EventPreview)

## Method Detail

### onEventPreview

public boolean onEventPreview(Event event)
Called when a browser event occurs and this event preview is on top of the preview stack.

#### Parameters

event
  the browser event

#### Return Value

`false` to cancel the event

#### See Also

DOM.addEventPreview(EventPreview)